# Use 'rpmbuild --enable pcre' for compiling additional package
# containing ngrep linked against PCRE library instead of glibc.

%def_disable pcre

Name: ngrep
Version: 1.45
Release: alt2

Summary: ngrep - network grep
License: BSD-style
Group: Monitoring
Url: http://ngrep.sourceforge.net
Packager: Ilya Evseev <evseev@altlinux.ru>

Source: http://download.sourceforge.net/ngrep/ngrep-%version.tar.bz2
Source1: %url/usage.html
Patch0: ngrep-1.45-alt-configure.patch
Patch1: ngrep-1.45-alt-chroot.patch

PreReq: shadow-utils
Requires: /var/resolv

%if_enabled pcre
BuildPreReq: libpcre-devel
%endif

# Automatically added by buildreq on Tue Apr 09 2002
BuildRequires: libpcap-devel

Summary(ru_RU.KOI8-R): ngrep -      

%description
ngrep strives to provide most of GNU grep's common features, applying them
to the network layer.  ngrep is a pcap-aware tool that will allow you to
specify extended regular expressions to match against data payloads of
packets.  It currently recognizes TCP and UDP across ethernet, ppp and
slip interfaces, and understands bpf filter logic in the same fashion
as more common packet sniffing tools, like tcpdump and snoop.

%description -l ru_RU.KOI8-R
ngrep   ,   GNU grep
   ,    ,    .
        .
    ngrep ( ,     
   tcpdump  snoop)   pcap.
      TCP  UDP  Ethernet-,
PPP-  SLIP-.

%if_enabled pcre
%package pcre
Summary: Network grep with Perl-compatible regular expressions
Group: Monitoring
Requires: %name = %version-%release
Summary(ru_RU.KOI8-R):      

%description pcre
ngrep strives to provide most of GNU grep's common features, applying them
to the network layer.  ngrep is a pcap-aware tool that will allow you to
specify extended regular expressions to match against data payloads of
packets.  It currently recognizes TCP and UDP across ethernet, ppp and
slip interfaces, and understands bpf filter logic in the same fashion
as more common packet sniffing tools, like tcpdump and snoop.

This package contains ngrep linking against PCRE (Perl-compatible regular
expressions library) instead of standard GNU libRegExp library.
Regular expressions are used for describing search and filtering rules.

%description pcre -l ru_RU.KOI8-R
ngrep   ,   GNU grep
   ,    ,    .
        .
    ngrep ( ,     
   tcpdump  snoop)   pcap.
      TCP  UDP  Ethernet-,
PPP-  SLIP-.

     ngrep,    
     Perl   PCRE
(Perl-compatible regular expressions)   
 POSIX    GNU glibc.

%endif

%prep
%setup -q
%patch0 -b .orig
%patch1 -b .orig
%__rm -rf -- pcre* regex*
%__install -pm644 %SOURCE1 .

%build
autoreconf -fisv

%if_enabled pcre
%configure --disable-pcap-restart --with-dropprivs-user=%name %{subst_enable pcre}
%make_build
cp -a %name %name-pcre
%endif

%configure --disable-pcap-restart --with-dropprivs-user=%name
%make_build

%install
%__install -pD -m755 %name      %buildroot%_sbindir/%name
%__install -pD -m644 %name.8    %buildroot%_man8dir/%name.8
%if_enabled pcre
%__install -pD -m755 %name-pcre %buildroot%_sbindir/%name-pcre
%endif

%pre
%_sbindir/groupadd -r -f %name
%_sbindir/useradd  -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:

%files
%_sbindir/%name
%_mandir/man?/*
%doc doc/*.txt usage.html

%if_enabled pcre
%files pcre
%_sbindir/%name-pcre
%endif

%changelog
* Thu Jan  4 2007 Ilya Evseev <evseev@altlinux.ru> 1.45-alt2
- fixup PCRE usage, merge with 1.44-alt2 by ldv

* Thu Jan  4 2007 Ilya Evseev <evseev@altlinux.ru> 1.45-alt1
- update to new version 1.45; patchset revisited

* Thu Nov 17 2005 Dmitry V. Levin <ldv@altlinux.org> 1.44-alt2
- Cleaned up chroot patch.
- Disabled use of pcap_restart.

* Fri Jul  1 2005 Ilya Evseev <evseev@altlinux.ru> 1.44-alt1
- update to new version 1.44; patchset revisited
- bugfix chrooting patch: was completely unusable

* Sat Mar 19 2005 Ilya Evseev <evseev@altlinux.ru> 1.43-alt2
- specfile bugfix: invalid email in changelog

* Wed Mar 16 2005 Ilya Evseev < evseev@altlinux.ru> 1.43-alt1
- 1.43, patchset revisited
- specfile: added russian summary and description
- added optional building of PCRE-based package

* Tue May 25 2004 Dmitry V. Levin <ldv@altlinux.org> 1.42-alt1
- Updated to 1.42, updated droppriv patch.

* Mon Jan 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1.41-alt1
- Updated to 1.41, updated droppriv patch.

* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1.40.1-alt3
- Explicitly use autoconf-2.13 for build.

* Wed Apr 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.40.1-alt2
- Relocated %_bindir/%name to %_sbindir/

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.40.1-alt1
- 1.40.1
- Fixed build.
- Rebuilt with libpcap-0.7.1.
- Drop privs and chroot to /var/resolv.

* Sun Mar 04 2001 Dmitry V. Levin <ldv@fandra.org> 1.39-ipl1
- 1.39

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 1.38-ipl2
- Rebuilt with libpcap-0.6.1.

* Sat Jul 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.38-ipl1
- updated to 1.38
- FHSification.

* Sun Feb 20 2000 Dmitry V. Levin <ldv@fandra.org>
- updated to 1.37

* Tue Oct 26 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 1.35

* Tue Sep 09 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
